package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 老师请假记录表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("teacher_leave_record")
public class TeacherLeaveRecord extends Model<TeacherLeaveRecord> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 请假天数
     */
    @TableField("days_")
    private Double days;
    /**
     * 请假类型
     */
    @TableField("leave_category_id_")
    private Integer leaveCategoryId;
    /**
     * 请假状态（审批中、拒绝、通过）
     */
    @TableField("status_")
    private String status;
    /**
     * 备注
     */
    @TableField("remark_")
    private String remark;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 请假开始时间
     */
    @TableField("start_time_")
    private Date startTime;
    /**
     * 请假结束时间
     */
    @TableField("end_time_")
    private Date endTime;
    /**
     * 课程调整
     */
    @TableField("courses_schedule_json_")
    private String coursesScheduleJson;
    /**
     * 流程定义
     */
    @TableField("wf_process_id_")
    private String wfProcessId;
    /**
     * 流程实例
     */
    @TableField("wf_order_id_")
    private String wfOrderId;

    public Long getId() {
        return id;
    }

    public TeacherLeaveRecord setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public TeacherLeaveRecord setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Double getDays() {
        return days;
    }

    public TeacherLeaveRecord setDays(Double days) {
        this.days = days;
        return this;
    }

    public Integer getLeaveCategoryId() {
        return leaveCategoryId;
    }

    public TeacherLeaveRecord setLeaveCategoryId(Integer leaveCategoryId) {
        this.leaveCategoryId = leaveCategoryId;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public TeacherLeaveRecord setStatus(String status) {
        this.status = status;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public TeacherLeaveRecord setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TeacherLeaveRecord setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TeacherLeaveRecord setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCoursesScheduleJson() {
        return coursesScheduleJson;
    }

    public void setCoursesScheduleJson(String coursesScheduleJson) {
        this.coursesScheduleJson = coursesScheduleJson;
    }

    public String getWfProcessId() {
        return wfProcessId;
    }

    public void setWfProcessId(String wfProcessId) {
        this.wfProcessId = wfProcessId;
    }

    public String getWfOrderId() {
        return wfOrderId;
    }

    public void setWfOrderId(String wfOrderId) {
        this.wfOrderId = wfOrderId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TeacherLeaveRecord{" +
                "id=" + id +
                ", userId=" + userId +
                ", days=" + days +
                ", leaveCategoryId='" + leaveCategoryId + '\'' +
                ", status='" + status + '\'' +
                ", remark='" + remark + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", coursesScheduleJson='" + coursesScheduleJson + '\'' +
                ", wfProcessId='" + wfProcessId + '\'' +
                ", wfOrderId='" + wfOrderId + '\'' +
                '}';
    }
}
